.window {
    --width: 500px;
    --height: 500px;
    --padding: 50px;
    padding: var(--padding);
    position: fixed;
    width: calc(var(--width) - 2 * var(--padding));
    height: calc(var(--height) - 2 * var(--padding));
    border-radius: 30px;
    background-color: var(--light-background);
    z-index: 1000;
    top: calc(50% - var(--width) / 2);
    left: calc(50% - var(--height) / 2);
    overflow-x: auto;
    margin: 0;
    border: none;
    color: var(--dark);
}

.window.hide {
    display: none;
}

.window.show {
    display: block;
}




.jcloud-ui-elements-dialog {
    width: 350px;
}

.jcloud-ui-elements-dialog-content {
    padding: 16px;
}

.jcloud-ui-elements-dialog-message {
    padding: 3px;
}

.jcloud-ui-elements-dialog-buttons {
    padding: 16px 0 0;
    display: flex;
    justify-content: right;
    gap: 16px;
}

.dialog {
    box-shadow: 10px 10px 10px var(--window-shadow);
    border-radius: 11px;
    border: none;
    outline: none;
    box-sizing: border-box;
    padding: 0;
    background-color: var(--light-background);
    color: var(--dark)
}

.information-dialog {
    min-width: 300px;
    max-width: 600px;
    height: 485px;
}

.action-select-dialog {
    width: 300px;
}

.dialog-content {
    box-sizing: border-box;
}

.transparent-dialog .dialog-content {
    background-color: var(--light-background);
}

.information-dialog-content {
    padding: 50px;
    min-width: 300px;
    max-width: 600px;
    height: 485px;
}

.action-select-dialog-content {
    padding: 10px !important;
    width: 300px;
}

.transparent-dialog {
    background-color: #00000000;
    border: none;
    outline: none;
}